<template>
  <content-section class="bg-orange-100">
    <template #heading>
      <h2>{{ heading }}</h2>
    </template>

    <template #summary>
      <div class="markdown summary" v-html="text" />
    </template>

    <template #default>
      <feature-item-grid
        :items="featureItems"
        :icon-style="{
          alignment: 'lg:items-start',
          colors: { fg: 'text-blue-700' },
        }"
      />
    </template>
  </content-section>
</template>

<script>
import FeatureItemGrid from '~/components/common/FeatureItemGrid';

export default {
  name: 'ServiciosProjectScopeSection',
  components: {
    FeatureItemGrid,
  },
  props: {
    heading: { type: String, default: undefined },
    text: { type: String, default: undefined },
    featureItems: { type: Array, default: () => [] },
  },
};
</script>
